/*---------------------------------------*
 | File: MLO.h - My personal definitions |
 | MLO 880908 - Revised 911126 - v2.20   |
 +---------------------------------------+------------------*
 | This file contains my personal definitions in a computer |
 | dependent environment; has been used with VAX-C on VAXes |
 | under VMS, Borland Turbo-C on MS-DOS, SAS/Lattice C for  |
 | AmigaDOS and ULTRIX (Digital's flavor of Unix); it uses  |
 | the preprocessor symbols predefined from these compilers |
 | (#ifdef VAXC, __TURBOC__, AMIGA or unix). It worked on   |
 | MS-DOS with Aztec-C; should still work there if none of  |
 | the quoted symbols is defined for the C preprocessor,    |
 | but has not been tested.                                 |
 *----------------------------------------------------------*/

/*--------------------------*
 | Program completion codes |
 *--------------------------*/

#ifdef VAXC
#include <ssdef>
#define SYS_NORMAL_CODE SS$_NORMAL
#define SYS_ABORT_CODE  SS$_ABORT
#else
#define SYS_NORMAL_CODE 0
#define SYS_ABORT_CODE  1
#endif

/*-------------------*
 | Boolean variables |
 *-------------------*/

#define False           0
#define True            1
typedef short int       Boolean;

/*--------------------------------------------------*
 | Miscellaneous definitions; some of them from the |
 | Amiga specific include files (<exec/types.h> and |
 | <intuition/intuition.h>).                        |
 *--------------------------------------------------*/

#ifndef EXEC_TYPES_H
typedef unsigned char           BYTE;
typedef unsigned long int       ULONG;
typedef unsigned short int      USHORT;
#endif

#ifndef INTUITION_INTUITION_H
#define FOREVER   for (;;)
#endif

#define BLANK     ' '
#define NEWLINE   '\n'
#define NIHIL     '\0'
#define TAB       '\t'
